XML (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.converters.deep
[Java] Class XML

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractConverter
          grails.converters.XML
              grails.converters.deep.XML

    @java.lang.Deprecated
    public class XML
    extends XML

A converter that converts domain classes to XML (including nested Domain Classes)

deprecated:
  The Converters framework has been refactored and this made the deep Converters obsolete

Authors:
  Siegfried Puchbauer

Field Summary
`static java.lang.String` | `CONFIGURATION_NAME`

Fields inherited from class XML
log

Fields inherited from class AbstractConverter
contentType, encoding, excludes, includes

Method Summary
`protected ConverterConfiguration` | `initConfig()`

Methods inherited from class XML
attribute, build, chars, convertAnother, createNamedConfig, end, getDepth, getElementName, getNamedConfig, getStream, getWriter, handleCircularRelationship, initConfig, lookupObjectMarshaller, parse, parse, parse, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, render, render, setExcludes, setIncludes, setTarget, startNode, toString, use, use, withDefaultConfiguration

Methods inherited from class AbstractConverter
createBeanWrapper, getExcludes, getIncludes, setContentType, setEncoding, setExcludes, setIncludes, setTarget, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONFIGURATION_NAME

    public static final java.lang.String CONFIGURATION_NAME

Method Detail

### initConfig

    @java.lang.Override
    protected ConverterConfiguration initConfig()

Groovy Documentation